Update setting
PATCH
/api/v1/settings/{service}/{name}
const url = 'https://osctrl.net/api/v1/settings/example/example';const options = { method: 'PATCH', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"boolean":true,"integer":1,"string":"example","type":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://osctrl.net/api/v1/settings/example/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "boolean": true, "integer": 1, "string": "example", "type": "example" }'Updates a mutable setting value.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”service
required
string
Service name
name
required
string
Setting name
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
boolean
boolean
integer
integer
string
string
type
string
Examplegenerated
{ "boolean": true, "integer": 1, "string": "example", "type": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
boolean
boolean
createdAt
string
deletedAt
object
time
string
valid
Valid is true if Time is not NULL
boolean
environmentID
integer
id
integer
info
string
integer
integer format: int64
name
string
service
string
string
string
type
string
updatedAt
string
Examplegenerated
{ "boolean": true, "createdAt": "example", "deletedAt": { "time": "example", "valid": true }, "environmentID": 1, "id": 1, "info": "example", "integer": 1, "name": "example", "service": "example", "string": "example", "type": "example", "updatedAt": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}